.single .site-main h1,
.single .site-main .h1 {
  font-size: 3.1111rem;
}
.single .site-main h2,
.single .site-main .h2 {
  font-size: 2.2222rem;
}
.single .site-main h3,
.single .site-main .h3 {
  font-size: 1.5556rem;
}
.single .site-main h4,
.single .site-main .h4 {
  font-size: 1.1111rem;
}

.blog-details-content h2, .blog-details-content h3, .blog-details-content h4, .blog-details-content h5, .blog-details-content h6, .blog-details-content figure {
  margin-top: 20px;
  margin-bottom: 24px;
}

.blog-details-content p {
  margin-bottom: 16px;
} 

.feature-blog {
    margin-top: 50px;
}

.feature-blog-inner {
  padding: 40px 76px;
  background: #e9e5ff;
  border-radius: 40px;
  display: flex;
  flex-wrap: wrap;
}

.feature-blog-inner-right,
.feature-blog-inner-left {
  width: 50%;
}

.feature-blog-inner-left {
  padding-right: 56px;
  display: flex;
  align-items: center;
  flex-wrap: wrap;
}

.feature-blog-inner-right {
  padding-left: 56px;
  text-align: right;
}

.feature-blog-inner-right img {
  width: 100%;
  border-radius: 30px;
  height: 470px;
  object-fit: cover;
  object-position: center center;
}

.feature-blog-inner-left-inner span {
  font-size: 0.8889rem;
}
.blog-cat a {
  text-decoration: none;
  color: var(--bs-nav-link-color);
  text-transform: uppercase;
}

.blog-cat a:hover {
  color: var(--bs-link-hover-color);
}

.feature-blog-inner-left-inner {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

.feature-blog-inner-left-inner h1 {
  margin: 0;
  width: 100%;
}

.feature-blog-link { 
  text-decoration: underline;
  font-weight: 600;
  text-transform: uppercase;
  text-underline-offset: 5px;
  font-size: 14px; 
  color: var(--gold-color);
} 

.feature-blog-link:hover  {
  color: var(--bs-link-hover-color);
}
.blog-list-item {
  border: 1px solid #e2e2e2;
  border-radius: 50px;
  overflow: hidden;
  height: 100%;
}

.blog-list-item-content {
  padding: 35px;
  display: flex;
  flex-wrap: wrap;
  gap: 16px;
  align-items: center;
}

.blog-list-item-content h2,
.blog-list-item-content h3 {
  margin: 0;
  display: inline-block;
  width: 100%;
}

.blog-list-item-content span {
  color: rgb(0 0 0 / 70%);
  font-size: 0.7778rem;
}

.blog-list-item-image img {
  height: 280px;
  width: 100%;
  object-fit: cover;
  object-position: center center;
}

.feature-blog-inner-left-inner h1 a,
.blog-list-item-content h2 a,
.blog-list-item-content h3 a {
  text-decoration: none;
  color: var(--bs-body-color);
  display: inline-block;
  text-transform: capitalize;
}

.feature-blog-inner-left-inner h1 a:hover,
.blog-list-item-content h2 a:hover,
.blog-list-item-content h3 a:hover {
  color: var(--bs-link-hover-color);
}

/* PAGINATION */
.pagination-theme {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  margin-top: 64px;
}

.pagination-theme .page-numbers {
  display: inline-block;
  padding: 8px 18px;
  font-size: 0.8889rem;
  text-decoration: none;
  color: var(--bs-link-color);
  background-color: var(--white);
  border: 1px solid var(--bs-link-color);
  border-radius: 4px;
  transition: all 0.3s ease;
}

.pagination-theme .page-numbers:hover {
  background-color: var(--bs-link-color);
  color: var(--white);
}

.pagination-theme .current {
  background-color: var(--bs-link-color);
  color: var(--white);
  font-weight: bold;
  border: 1px solid #005177;
}

.pagination-theme .next {
  font-weight: bold;
}
/*END PAGINATION */

/* SINGLE PAGE */
.main-content-blog {
  width: 100%;
  margin-left: auto;
  margin-right: auto;
}
.hero-section-blog img {
  border-radius: 30px; 
  width: 100%;
}

.hero-section-blog {
  margin-bottom: 40px;
}
figure.wp-block-image.size-large img {
  border-radius: 40px;
}

.main-content-blog .entry-header {
  margin-top: 50px;
   margin-bottom: 50px;
}

.main-content-blog .entry-header h1 {
  margin: 20px 0 !important;
}

.main-content-blog .entry-header a {
  text-transform: uppercase;
  color: #000;
  font-weight: 500;
}

.main-content-blog .entry-header a:hover {
  color: #0d6efd;
}
/* BLOG INNRE SPACING */
figure.wp-block-image.size-large,
.main-content-blog .wp-block-quote,
.main-content-blog .wp-block-buttons,
.blog-cta,
.takeaways {
  margin-bottom: 40px;
}
.main-content-blog .wp-block-buttons,
.blog-cta {
  margin-top: 40px;
}
.wp-block-buttons {
  justify-content: center;
}

.table-of-content {
    height: 290px;
    overflow: auto;
}

/*
.blog-details-content > p,
.blog-details-content > h2,
.blog-details-content > h3,
.blog-details-content > h4,
.blog-details-content > h5,
.blog-details-content > h6 {
  margin-bottom: 20px;
}

.blog-details-content > h3,
.blog-details-content > h4,
.blog-details-content > h5,
.blog-details-content > h6 {
  margin-top: 20px;
}

.blog-details-content > h2 {
  margin-top: 75px;
}
  */
.size-full img { 
  height: auto;
}


.blog-details-content, .hero-section-blog, .entry-header {
  max-width: 800px;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
}


figure.wp-block-image.size-full {
  text-align: center;
}
/* END BLOG INNRE SPACING */
.blog-details-content > p,
.blog-details-content > ul li,
.blog-details-content > ol li {
  font-size: 1rem;
}
.blog-details-content > ul li:not(:last-child),
.blog-details-content > ol li:not(:last-child) {
  margin-bottom: 10px;
}
.table-of-content {
  background: #f9f9f9;
  padding: 15px;
  border-left: 4px solid var(--bs-link-color);
  border-radius: 5px;
  margin-bottom: 40px;
}

.table-of-content strong {
  display: block;
  font-size: 1rem;
  margin-bottom: 10px;
}

.table-of-content ul {
  list-style: none;
  padding: 0;
}

.table-of-content li {
  margin-bottom: 5px;
}

.table-of-content a {
  text-decoration: none;
  color: var(--bs-link-color);
  transition: color 0.3s ease-in-out;
}

.table-of-content a:hover,
.table-of-content a.active {
  color: var(--bs-link-hover-color);
}

.blog-cta-sidebar {
  position: sticky;
  top: 90px;
}

.blogcard {
  background-color: var(--blogcard-bg);
  border: none;
  border-radius: 10px;
  padding: 20px 14px;
  position: relative;
  color: var(--white);
}
.blogcard::before {
  content: '';
  position: absolute;
  top: 0;
  right: 0;
  width: 40px;
  height: 40px;
  background-color: #ffd700;
  border-top-right-radius: 10px;
  clip-path: polygon(0 0, 100% 0, 100% 100%);
}

.author-details-content p {
  font-size: 0.9rem;
  margin: 0;
}

.author-details {
  border-top: 1px solid #d8d8df;
}

.wp-block-quote {
  border-radius: 20px;
  padding: 30px 20px;
  background: #e9e5ff;
  text-align: center;
}

.wp-block-quote p {
  font-weight: 600;
  margin: 0;
}

.wp-block-quote p + p {
  margin-top: 16px;
}
.author-details-img {
  width: 50px;
  height: 50px;
}
.author-details-content {
  margin-top: 10px;
}
.wp-block-buttons .wp-block-button__link {
  border-radius: 20px;
  letter-spacing: -0.0125rem;
  text-transform: uppercase;
  position: relative;
  padding: 16px 69px 16px 39px;
  font-size: 23px;
  background-color: var(--bs-link-color);
}

.wp-block-buttons .wp-block-button__link:hover {
  color: var(--white);
  background-color: #6754e9;
  border-color: #6754e9;
}

.wp-block-buttons .wp-block-button__link:after {
  content: '';
  position: absolute;
  width: 18px;
  height: 18px;
  background-size: 100%;
  background-repeat: no-repeat;
  background-position: center;
  margin-left: 10px;
  top: 25px;
  background-image: url('../img/icon/right-icon.svg');
  transition: 300ms;
  -webkit-transition: 300ms;
}

.wp-block-buttons:hover .wp-block-button__link:after {
  margin-left: 18px;
}

/* CTA ONE */
.cta-one,
.cta-two,
.cta-three {
  background-color: #0b1d37;
  color: var(--white);
  padding: 20px 20px 20px 30px;
  border-radius: 20px;
  overflow: hidden;
}

.cta-one .image-container,
.cta-two .image-container,
.cta-three .image-container {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
}
.cta-one .image-container img,
.cta-two .image-container img,
.cta-three .image-container img {
  max-width: 100%;
  height: auto;
  border-radius: 10px;
}

.cta-one .image-container img {
  margin-right: -40px;
  margin-bottom: -20px;
}

.cta-one .row,
.cta-two .row,
.cta-three .row {
  align-items: center;
}
/* END CTA ONE */

.takeaways {
  padding: 20px;
  border: 2px solid #0b1d37;
  border-radius: 12px;
  box-shadow: 6px 6px #0b1d37;
  width: calc(100% - 6px);
}
.takeaways h5 {
  margin-bottom: 20px;
}
.takeaways ul li {
  margin: 0;
  width: 100%;
  font-size: 16px;
  font-weight: 500;
  position: relative;
  padding-left: 24px;
}
.takeaways ul li:before {
  background-image: url('../img/icon/true-icon.svg');
  content: '';
  position: absolute;
  width: 16px;
  height: 16px;
  display: inline-block;
  left: 0;
  top: 3px;
}
.takeaways ul {
  margin: 0;
  display: flex;
  flex-wrap: wrap;
  gap: 12px;
}
.author-details h6 a {
  color: var(--bs-body-color);
  text-decoration: none;
}

.author-details h6 a:hover {
  color: var(--bs-nav-link-hover-color);
}

.schema-faq {
  margin: 20px auto;
}

.schema-faq-section {
  border: 1px solid var(--gainsboro);
  border-radius: 8px;
  background: var(--white);
  margin-bottom: 10px;
  padding: 15px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  transition: all 0.3s ease;
  cursor: pointer;
}

.schema-faq-section:hover {
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.15);
}

.schema-faq-question {
  display: flex;
  align-items: center;
  font-size: 1rem;
  font-weight: bold;
  cursor: pointer;
  transition: color 0.3s ease;
  position: relative;
  padding-right: 21px;
}

.schema-faq-question::before {
  content: '+';
  font-size: 1.3889rem;
  font-weight: 400;
  color: var(--bs-body-color);
  margin-right: 10px;
  transition: transform 0.3s ease;
  position: absolute;
  right: 0;
}

.schema-faq-section.active .schema-faq-question::before {
  content: '−'; /* Minus icon when expanded */
  color: #00557a;
}

.schema-faq-question:hover,
.schema-faq-section.active strong.schema-faq-question {
  color: #0073e6;
}

.schema-faq-answer {
  font-size: 0.8889rem;
  line-height: 1.5;
  margin-top: 10px;
  display: none;
}

.schema-faq-section.active .schema-faq-answer {
  display: block;
}
ul.wp-block-list {
  list-style: disc;
  padding-left: 2rem;
}
.wp-block-table td, .wp-block-table th {
  border-color: #c2c2c2;
}

span.author-details-position {
    font-size: 14px;
    font-weight: 600; 
    color: var(--bs-body-color);
}
/* END SINGLE PAGE */

@media screen and (max-width: 1440px) {
  .single .site-main h1,
  .single .site-main .h1 {
    font-size: 2.5rem;
  }
  .single .site-main h2,
  .single .site-main .h2 {
    font-size: 2rem;
  }
  .single .site-main h3,
  .single .site-main .h3 {
    font-size: 1.5rem;
  }
  .table-of-content {
    height: 190px;
}
}

@media screen and (max-width: 1200px) {
  .feature-blog-inner-right img {
    height: 370px;
  }
  .blog-list-item-image img {
    height: 190px;
  }

  .blog-list-item {
    border-radius: 30px;
  }

  .feature-blog-inner {
    border-radius: 30px;
    padding: 36px;
  }

  .blog-list-item-content {
    padding: 25px;
  }
  .wp-block-buttons .wp-block-button__link {
    padding: 16px 49px 16px 29px;
    font-size: 18px;
  }

  .wp-block-buttons .wp-block-button__link:after {
    top: 21px;
  }

  .blog-cta {
    text-align: center;
  }

  .cta-one .image-container img {
    margin-right: 0;
  }

  .blog-two .image-container {
    margin-bottom: 20px;
  }
  .cta-one .image-container {
    margin-top: 20px;
  }
  .cta-two .image-container {
    margin-bottom: 20px;
  }
}

@media screen and (max-width: 1024px) {
  .single .site-main h1,
  .single .site-main .h1 {
    font-size: 2.25rem;
  }
  .single .site-main h2,
  .single .site-main .h2 {
    font-size: 1.75rem;
  }
  .single .site-main h3,
  .single .site-main .h3 {
    font-size: 1.375rem;
  }
  .single .site-main h4,
  .single .site-main .h4 {
    font-size: 1.2rem;
  }

  
.blog-details-content ul, .blog-details-content ol, .blog-details-content .wp-block-table {
  margin-bottom: 24px;
}
}

@media screen and (max-width: 1023px) {
  .pagination-theme {
    margin-top: 20px;
  }
  .pagination-theme .page-numbers {
    padding: 5px 14px;
    font-size: 0.875rem;
  }
  .feature-blog-inner-right {
    padding-left: 20px;
  }

  .feature-blog-inner-left {
    padding-right: 20px;
  }
}

@media screen and (max-width: 767px) {
  .pagination-theme .page-numbers {
    padding: 6px 15px;
    font-size: 0.875rem;
  }

  .feature-blog-inner-right,
  .feature-blog-inner-left {
    width: 100%;
    padding-left: 0;
    padding-right: 0;
  }

  .feature-blog-inner-right {
    order: -1;
    margin-bottom: 30px;
  }

  .feature-blog-inner-left-inner {
    gap: 12px;
  }

  .feature-blog-inner {
    padding: 20px;
  }

  .feature-blog-inner-right img {
    height: 250px;
  }

  .blog-list-item-content {
    padding: 16px;
  }

  .wp-block-buttons .wp-block-button__link {
    padding: 12px 59px 12px 29px;
    font-size: 20px;
  }

  .wp-block-buttons .wp-block-button__link:after {
    top: 18px;
  }
    .blog-details-content .wp-block-table {
      overflow: auto;
      table-layout: inherit !important;
    }

  .blog-details-content  .wp-block-table table {
      width: 580px !important;
    }
}


 
@media screen and (max-width: 1600px) and (min-width: 1366px) {
  .blog-left-part {width: 76%;}
}

@media screen and (min-width: 1366px)  {  
  .blog-cta-sidebar-col {
    margin-right: -110px;
  }

}